# Method: accounts.locations.associate

- [HTTP request](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/associate#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/associate#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/associate#body.request_body)
  - [JSON representation](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/associate#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/associate#body.response_body)
- [Authorization Scopes](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/associate#body.aspect)

Associates a location to a place ID. Any previous association is overwritten. This operation is only valid if the location is unverified. The association must be valid, that is, it appears in the list of `locations.findMatches`.

### HTTP request

`POST https://mybusiness.googleapis.com/v4/{name=accounts/*/locations/*}:associate`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` The resource name of the location to associate. |

### Request body

The request body contains data with the following structure:

| JSON representation ||
|---|---|
| ``` { "placeId": string } ``` |

| Fields ||
|---|---|
| `placeId` | `string` The association to establish. If not set, it indicates no match. |

### Response body

If successful, the response body is empty.

### Authorization Scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/plus.business.manage`
- `https://www.googleapis.com/auth/business.manage`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).